#include <stdio.h>
#include <conio.h>
#define n 10

void main (void)
{
	int i;
	float vector[n];
	float max1,max2;
	clrscr();

	for(i=0;i<n;i++)
	{
		printf("\n Introduce los elementos del vector: ");
		scanf("%f",&vector[i]);
	}

	max1=vector[0];
	max2=vector[0];
	for(i=0;i<n;i++)
		 //ahora se coje un auxiliar, y se compara cada uno de estos con el
		 //i de cada vuelta, y si es mayor se asigna a una, se realiza un
		 /* cambio d variable y punto*/

		 if(vector[i]>max1)
		 {
			max2=max1;
			max1=vector[i];
		 }
		 else

				if(vector[i]>max2)
				{
				max2=vector[i];
				}

	printf("\n El Maximo 1 es el %f y el Maximo 2 es el %f.",max1,max2);
	getch();

}